Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::ExecutionManager_Impl Class Reference

`#include <ExecutionManager_Impl.h>`

Collaboration diagram for CIAO::ExecutionManager_Impl:

[legend]
List of all members.

## Public Member Functions
| ExecutionManager_Impl (CORBA::ORB_ptr orb, PortableServer::POA_ptr poa, const char *init_file ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Constructor.
virtual Deployment::DomainApplicationManager_ptr | preparePlan (const Deployment::DeploymentPlan &plan, CORBA::Boolean commitResources ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Deployment::ResourceNotAvailable, Deployment::PlanError, Deployment::StartError )
| Generate an ApplicationManager factory.
virtual Deployment::DomainApplicationManagers * | getManagers (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Return a set of the currently held DomainApplicationMnager.
virtual void | destroyManager (Deployment::DomainApplicationManager_ptr manager ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, Deployment::StopError )
| Destroy a specific manager.
virtual void | shutdown (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
## Protected Member Functions
| ~ExecutionManager_Impl ()
| Destructor.
## Protected Attributes
CORBA::ORB_var | orb_
| Cached ORB pointer.
PortableServer::POA_var | poa_
| Cached POA pointer.
ACE_CString | init_file_
Deployment::DomainApplicationManager_var | dam_
TAO::Utils::Servant_Var< CIAO::DomainApplicationManager_Impl > | dam_servant_
| Cached servant of the DomainApplicaitonmanager.

## Constructor & Destructor Documentation

CIAO::ExecutionManager_Impl::ExecutionManager_Impl | ( | CORBA::ORB_ptr | orb,
|  | PortableServer::POA_ptr | poa,
|  | const char *init_file | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) |

| Constructor.

CIAO::ExecutionManager_Impl::~ExecutionManager_Impl | ( |  | ) | `[protected]`

| Destructor.

## Member Function Documentation

void CIAO::ExecutionManager_Impl::destroyManager | ( | Deployment::DomainApplicationManager_ptr manager | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, Deployment::StopError )`[virtual]`

| Destroy a specific manager.

Deployment::DomainApplicationManagers * CIAO::ExecutionManager_Impl::getManagers | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Return a set of the currently held DomainApplicationMnager.

virtual Deployment::DomainApplicationManager_ptr CIAO::ExecutionManager_Impl::preparePlan | ( | const Deployment::DeploymentPlan & | plan,
|  | CORBA::Boolean commitResources | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException, Deployment::ResourceNotAvailable, Deployment::PlanError, Deployment::StartError )`[virtual]`

| Generate an ApplicationManager factory.

void CIAO::ExecutionManager_Impl::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

## Member Data Documentation

Deployment::DomainApplicationManager_var CIAO::ExecutionManager_Impl::dam_`[protected]`

TAO::Utils::Servant_Var<CIAO::DomainApplicationManager_Impl> CIAO::ExecutionManager_Impl::dam_servant_`[protected]`

| Cached servant of the DomainApplicaitonmanager.

ACE_CString CIAO::ExecutionManager_Impl::init_file_`[protected]`

CORBA::ORB_var CIAO::ExecutionManager_Impl::orb_`[protected]`

| Cached ORB pointer.

PortableServer::POA_var CIAO::ExecutionManager_Impl::poa_`[protected]`

| Cached POA pointer.

The documentation for this class was generated from the following files:

- ExecutionManager_Impl.h
- ExecutionManager_Impl.cpp